#include<iostream>
using namespace std;

int main(){
    int a,b,x,y;
    string rezultat;
    cin>>a>>b;
    cin>>x>>y;
    if (a>x && b==y)
    {
        rezultat="prvi";
    }else if (a==x && b>y)
    {
        rezultat="drugi";
    }else if (a==x && b==y)
    {
        rezultat="nijedan";
    }else{
        rezultat="?";
    }    
    cout<<rezultat;
    return 0;
}